[Unit]
Description=Docker clean up service
Requires=docker.service
After=docker.service

[Service]
Type=oneshot

{% if docker_container_prune %}
ExecStart=/usr/bin/docker container prune --force
{% endif %}
{% if docker_network_prune %}
ExecStart=/usr/bin/docker network prune --force
{% endif %}
{% if docker_volume_prune %}
ExecStart=/usr/bin/docker volume prune --force
{% endif %}
{% if docker_image_prune %}
ExecStart=/usr/bin/docker image prune --all --force
{% endif %}
